#include <avr/io.h>
#include <stdio.h>



#include "mydefs.h"
#include <string.h>

#include "max7219.h"

extern char mem_led[8];
//------------------------------------------------------------------------------------//
void max_sendbyte (unsigned char dat)
{
	int i;

	for (i = 0; i < 8; i++)
	{
		if (dat & 0x80) SetBit   (MAX_PORT, DAT);
		else			ClearBit (MAX_PORT, DAT); 
		
		SetBit 		(MAX_PORT, CLK);	_delay_us (5);
		ClearBit 	(MAX_PORT, CLK);	_delay_us (5);
		dat = dat << 1;
	};
	
}
//------------------------------------------------------------------------------------//
void mxbyte (unsigned char reg, unsigned char dat)
{

	max_sendbyte 	(reg);
	max_sendbyte  	(dat);
	
}
//------------------------------------------------------------------------------------//
void cs_ (void)
{
	SetBit 			(MAX_PORT, LOAD);
	ClearBit 		(MAX_PORT, LOAD);
}
//------------------------------------------------------------------------------------//
void init_7219 (void)
{
	
	
		ClearBit (MAX_PORT, CLK);
		ClearBit (MAX_PORT, LOAD);
      
	//1	
		mxbyte (0x0C, 0x01);    //shuntdown normal
		mxbyte (0x0C, 0x01);    //shuntdown normal
		cs_ ();
	//1	
		mxbyte (0x09, 0xff);    //decod mode
		mxbyte (0x09, 0x00);    //decod mode
		cs_ ();
	//1
		mxbyte (0x0A, NORMAL_BRIGHT);
		mxbyte (0x0A, NORMAL_BRIGHT);	//led bri
		cs_ ();
	//1	
		mxbyte (0x0B, 0x07);
		mxbyte (0x0B, 0x07);    
		cs_ ();
	//1	
		mxbyte (0x0f, 0x00);    // display test
		mxbyte (0x0f, 0x00);    // display test
		cs_ ();
		
      memset (mem_led, 0, sizeof mem_led);

};

