#ifndef __MYDEFS_H
#define __MYDEFS_H

#define 	F_CPU      			16000000    //processor clock
#define 	T1_PRESCALER		8
#define 	T1_TICKS   			F_CPU / ( T1_PRESCALER * 65536)	
#define 	T1_ONESECOND    	T1_TICKS
#define 	sbi(portn, bitn) 	((portn)|=(1<<(bitn)))
#define 	cbi(portn, bitn) 	((portn)&=~(1<<(bitn)))
#define 	TRUE				1
#define		FALSE	    		0

#define 	SetBit(portn, bitn) 	((portn)|=(1<<(bitn)))
#define 	ClearBit(portn, bitn) 	((portn)&=~(1<<(bitn)))

#include 	<util/delay.h>


#define 	RTC_1307

#define 	DS1307_INT			0x01

#define 	BLANK				15
#define 	LOW_BRIGHT			2
#define 	NORMAL_BRIGHT		6
#endif //__MYDEFS_H
